> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/sdn/internet/deleteinternet.md).

# DeleteInternet

## 1. API Description

This API (DeleteInternet) is used to deletes an Internet.

{% hint style="info" %}
**Notes**

* Only Internet instances in **RUNNING** or **CREATING\_FAILED** state are allowed for this operation.
* This is an asynchronous API. After the delete request is successfully submitted, the deletion is not immediately completed. During this period, the Internet state will be **DESTROYING**. After successful deletion, the data will no longer be returned from [DescribeInternets](https://docs.console.zenlayer.com/api-reference/sdn/internet/describeinternets.md).
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description  |
| -------------- | -------- | ------ | ------------ |
| internetId     | Yes      | String | Internet ID。 |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Delete a specified Internet.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteInternet
<Common Request Params>

Request:
{
  "internetId": "your-internet-id"
}

Response:
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                | Description                                                      |
| ---------------- | ------------------------- | ---------------------------------------------------------------- |
| 404              | INVALID\_RIPT\_NOT\_FOUND | The Internet instance does not exist.                            |
| 400              | INVALID\_RIPT\_STATE      | The Internet state is not as expected.                           |
| 409              | INVALID\_RIPT\_HA\_ROLE   | The HA role of the Internet is not applicable to this operation. |
